<?php
// Define database credentials
$server = "localhost";  
$db_user = "root";      
$db_password = "";      
$db_name = "productrate"; 

// Establish database connection
$con = mysqli_connect($server, $db_user, $db_password, $db_name);

// Check if connection was successful
if (!$con) {
    die("Could not connect: " . mysqli_connect_error());
}

// Enable error reporting for debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Sanitize input to prevent SQL injection
$cID = isset($_GET["cID"]) ? (int) $_GET["cID"] : 0;

// Fetch category details
$result1 = mysqli_query($con, "SELECT * FROM `category` WHERE `caID` = $cID");
$row1 = mysqli_fetch_array($result1);

if ($row1) {
    echo '<h1>' . htmlspecialchars($row1['caName']) . '</h1>';
} else {
    echo "<h1>Category Not Found</h1>";
}

// Fetch products for this category
$result = mysqli_query($con, "SELECT * FROM `products` WHERE `productID` IN 
  (SELECT `productID` FROM `mcate` WHERE `caID` = $cID) ORDER BY `mrates` DESC");

while ($row = mysqli_fetch_array($result)) {
    echo '<table width="100%">';
    echo "<tbody>";
    echo '<tr class="item">';
    echo '<td width="100" valign="top">';
    echo '<a href="#" title="pic">
            <img id="1" src="images/rankings/' . htmlspecialchars($row['productID']) . '.jpg" width="150px" height="150px" alt="product pic"/>
          </a>';
    echo "</td>";
    echo '<td valign="top">
              <div class="mcontent">';
    echo '<a href="product_detail.html?id=' . htmlspecialchars($row['productID']) . '">' . htmlspecialchars($row['productName']) . '</a>';

    // Get company info
    $mId = (int) $row['productID'];
    $company = mysqli_query($con, "SELECT c.* FROM `company` c 
      INNER JOIN `mcompany` mc ON c.`companyID` = mc.`companyID`
      INNER JOIN `products` p ON mc.`productID` = p.`productID`
      WHERE p.`productID` = $mId");

    $row2 = mysqli_fetch_array($company);
    $companyName = $row2['companyName'] ?? "Unknown";  // Handle undefined index

    echo '<a href="company_detail.html?id=' . htmlspecialchars($row2['companyID'] ?? '#') . '">
            <p class="info">Company: ' . htmlspecialchars($companyName) . '</p>
          </a>';

    // Display rating stars
    echo '<div class="rating">';
    $rating = (float) $row['mrates'];
    $ratingImg = "images/rating/ic_rating_" . round($rating * 2) / 2 . "star.jpg";
    echo '<img id="1" src="' . htmlspecialchars($ratingImg) . '" alt="star"/>';
    echo "<br><span class='rating_nums'>" . htmlspecialchars($rating) . "</span>";

    echo '<br><a href="product_detail.html?id=' . htmlspecialchars($row['productID']) . '">Details >> </a>';
    echo "</div></div></td>";
    echo "</tr>";
    echo "</tbody>";
    echo '</table>';
    echo "<hr>";
}

// Close connection
mysqli_close($con);
?>
